Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 10/09/2008, à 13:05

bishop

Hardy Gnome - Applications QT4-GTK2, même look.

Billet mis à jour le 11-09-2008 (19.25)
Après quelques balbutiements il semble, au vu des retours, que l'installation soit opérationnelle.

Personnalisation des applications QT4 sous Gnome avec QGtkStyle.
QGtkStyle sera intégré à Qt-4.5 : http://labs.trolltech.com/blogs/2008/09 … art-of-qt/. En attendant il est toujours possible de tester cet outil...
.

.
1) QT4 en version 4.4.
La version de QT4 des dépôts conventionnels ubuntu est la 4.3.4 et QgtkStyle nécessite la version 4.4.
Vous pouvez installer la version 4.4 de QT4 (sans faire la MAJ de votre distrib) en décommentant les backports dans le sources.list :

sudo gedit /etc/apt/sources.list

.
Décommentez (enlever le (ou les) #) le backport comme çi-dessous :

deb http://archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse
## deb-src http://archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse

Enregistrez mais ne fermez pas le fichier.
.
Faites la mise à jour des dépôts :

sudo apt-get update

Ne faites pas la mise à jour de votre distribution.
.

.
2) Installer les dépendances. Dans un Terminal :

sudo apt-get install build-essential make libtool subversion g++ qt4-dev-tools pyqt4-dev-tools libqt4-core libqt4-gui libqt4-dev qt4-qtconfig libgtk2.0-dev libpango1.0-dev libglib2.0-dev libcairo2-dev libfreetype6-dev libpng12-dev libpixman-1-dev libatk1.0-dev libstdc++6-4.2-dev libxi-dev libxinerama-dev libice-dev libxrandr-dev libgcc1 zlib1g-dev libxcursor-dev libxfixes-dev libsm-dev libxrender-dev libxext-dev libx11-dev libfontconfig1-dev libc6-dev gcc-3.3

.

.
3) Recommenter le backport.
Quand l'installation des dépendances est terminée, recommentez le backport comme çi-dessous :

## deb http://archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse
## deb-src http://archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse

Enregistrez et fermez le fichier.
.
Nettoyez et restaurez vos dépôts originaux :

sudo apt-get clean && sudo apt-get autoclean && sudo apt-get update

.

.
4) Installez gAlternatives :

sudo apt-get install galternatives

Cette application graphique permet la gestion des fichiers contenus dans /etc/alternatives/. Elle peut être utile si vous voulez changer les versions des outils que vous voulez utilisez.

Rendez-vous dans Applications => Outil système et lancez le 'Configurateur d'alternatives'.
Dans la liste déroulante :

cherchez 'qmake', cochez '/usr/bin/qmake-qt4',
cherchez 'qtconfig', cochez '/usr/bin/qtconfig-qt4'

Fermez gAlternatives.
.

.
5) Téléchargement et compilation de gtkstyle :

svn co svn://labs.trolltech.com/svn/styles/gtkstyle
cd gtkstyle/
qmake && make
sudo make install

.

.
6) Configuration.
Quand gtkstyle est compilé, lancez "Paramètres QT4" dans Système/Préférences.
Dans Gui Style, choisissez GTK.
Enregistrez (File => Save) et fermez.

Les applications QT4 doivent avoir le look de votre thème GTK2 en cours.
Ça le fait chez moi... cool

Sources.
Voir : http://www.jbkempf.com/blog/tag/Qt4
Compilation : http://labs.trolltech.com/page/Projects/Styles/GtkStyle
Introducing QGtkStyle… : http://labs.trolltech.com/blogs/2008/05 … qgtkstyle/

Dernière modification par bishop (Le 30/12/2009, à 17:17)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#2 Le 10/09/2008, à 14:12

Fivizzz

Re : Hardy Gnome - Applications QT4-GTK2, même look.

J'ai un message d'erreur relatif au fichier main.o dans ma compilation.

Fichier que je n'ai pas...


Si tu t'es senti agressé par mon post, c'est que tu aurais du lire ça et surtout les règles du forum.

Hors ligne

#3 Le 10/09/2008, à 15:42

bishop

Re : Hardy Gnome - Applications QT4-GTK2, même look.

En regardant la compil (çi-dessous) j'ai ajouté dans le premier post les dépendances nécessaires (à tester).
Si tu peux essayer :
1) Tu installes les dépendances;
2) Tu compiles.
3) Tu me dis quoi, STP.

Compilation et résultats des commandes.

bishop06@Hardy:~$ svn co svn://labs.trolltech.com/svn/styles/gtkstyle
A    gtkstyle/gtksymbols.cpp
A    gtkstyle/gtksymbols_p.h
A    gtkstyle/main.cpp
A    gtkstyle/qgtkstyle.pro
A    gtkstyle/qgtkstyle.cpp
A    gtkstyle/qgtkpainter.cpp
A    gtkstyle/qgtkstyle.h
A    gtkstyle/qgtkpainter_p.h
Révision 783 extraite.

.

bishop06@Hardy:~$ cd gtkstyle/

.

bishop06@Hardy:~/gtkstyle$ qmake

.

bishop06@Hardy:~/gtkstyle$ make
g++ -c -pipe -O2 -fvisibility=hidden -fvisibility-inlines-hidden -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -D_REENTRANT -Wall -W -fPIC -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -o main.o main.cpp
g++ -c -pipe -O2 -fvisibility=hidden -fvisibility-inlines-hidden -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -D_REENTRANT -Wall -W -fPIC -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -o qgtkstyle.o qgtkstyle.cpp
g++ -c -pipe -O2 -fvisibility=hidden -fvisibility-inlines-hidden -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -D_REENTRANT -Wall -W -fPIC -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -o qgtkpainter.o qgtkpainter.cpp
g++ -c -pipe -O2 -fvisibility=hidden -fvisibility-inlines-hidden -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -D_REENTRANT -Wall -W -fPIC -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -o gtksymbols.o gtksymbols.cpp
gtksymbols.cpp: In function «GtkWidget* gtkWidget(const QString&)»:
gtksymbols.cpp:314: attention : unused variable «widget»
/usr/bin/moc-qt4 -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. qgtkstyle.h -o moc_qgtkstyle.cpp
g++ -c -pipe -O2 -fvisibility=hidden -fvisibility-inlines-hidden -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -D_REENTRANT -Wall -W -fPIC -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -o moc_qgtkstyle.o moc_qgtkstyle.cpp
rm -f libgtkstyle.so
g++ -Wl,--no-undefined -shared -o libgtkstyle.so main.o qgtkstyle.o qgtkpainter.o gtksymbols.o moc_qgtkstyle.o   -L/usr/lib -lXext -lX11 -lgdk-x11-2.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -latk-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lQtGui -lQtCore -lpthread

.

bishop06@Hardy:~/gtkstyle$ sudo make install
[sudo] password for bishop06: 
install -m 755 -p "libgtkstyle.so" "/usr/lib/qt4/plugins/styles/libgtkstyle.so"
strip --strip-unneeded "/usr/lib/qt4/plugins/styles/libgtkstyle.so"

Dernière modification par bishop (Le 10/09/2008, à 19:57)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#4 Le 10/09/2008, à 16:39

benoit2600

Re : Hardy Gnome - Applications QT4-GTK2, même look.

j'ai un problème :

 qmake
qgtkstyle.pro:10: Unknown replace function: qtLibraryTarget

Hors ligne

#5 Le 10/09/2008, à 18:55

Atok

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Chez moi ça marche, mais pas pour toutes mes applis QT4. ça doit venir du fait que j'ai différentes version de QT qui ont merdouillées...


Lisez libre !  :)

Hors ligne

#6 Le 10/09/2008, à 19:48

bishop

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Une autre piste car j'ai oublié de préciser... roll

Installez gAlternatives :

sudo apt-get install galternatives

Cette application graphique permet la gestion des fichiers contenus dans /etc/alternatives/. Elle peut être utile si vous voulez changer les versions des outils que vous voulez utilisez.

Rendez-vous dans Applications => Outil système et lancez le 'Configurateur d'alternatives'.
Dans la liste déroulante :

cherchez 'qmake', sélectionnez '/usr/bin/qmake-qt4',
cherchez 'qtconfig', sélectionnez '/usr/bin/qtconfig-qt4'

Fermez gAlternatives.

Note : Paragraphe ajouté au premier post.

Dernière modification par bishop (Le 10/09/2008, à 19:54)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#7 Le 10/09/2008, à 19:58

Fivizzz

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Tout était déjà réglé comme il falalit dans gAlternatives, donc fatalement mêm problème

fivizzz@compaqC700:~$ svn co svn://labs.trolltech.com/svn/styles/gtkstyle
A    gtkstyle/gtksymbols.cpp
A    gtkstyle/gtksymbols_p.h
A    gtkstyle/main.cpp
A    gtkstyle/qgtkstyle.pro
A    gtkstyle/qgtkstyle.cpp
A    gtkstyle/qgtkpainter.cpp
A    gtkstyle/qgtkstyle.h
A    gtkstyle/qgtkpainter_p.h
Révision 783 extraite.
fivizzz@compaqC700:~$ cd gtkstyle/
fivizzz@compaqC700:~/gtkstyle$ qmake
fivizzz@compaqC700:~/gtkstyle$ make
g++ -c -pipe -fpermissive -g -fvisibility=hidden -fvisibility-inlines-hidden -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -D_REENTRANT -Wall -W -fPIC -DQT_SHARED -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -o main.o main.cpp
In file included from main.cpp:24:
qgtkstyle.h:35: erreur: expected constructor, destructor, or type conversion before «typedef»
In file included from /usr/include/qt4/QtCore/qplugin.h:48,
                 from /usr/include/qt4/QtGui/qstyleplugin.h:47,
                 from /usr/include/qt4/QtGui/QStylePlugin:1,
                 from main.cpp:25:
/usr/include/qt4/QtCore/qpointer.h:51: erreur: expected constructor, destructor, or type conversion before «typedef»
make: *** [main.o] Erreur 1

Et bien sûr:

fivizzz@compaqC700:~/gtkstyle$ sudo make install
g++ -c -pipe -fpermissive -g -fvisibility=hidden -fvisibility-inlines-hidden -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/atk-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -D_REENTRANT -Wall -W -fPIC -DQT_SHARED -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -o main.o main.cpp
In file included from main.cpp:24:
qgtkstyle.h:35: erreur: expected constructor, destructor, or type conversion before «typedef»
In file included from /usr/include/qt4/QtCore/qplugin.h:48,
                 from /usr/include/qt4/QtGui/qstyleplugin.h:47,
                 from /usr/include/qt4/QtGui/QStylePlugin:1,
                 from main.cpp:25:
/usr/include/qt4/QtCore/qpointer.h:51: erreur: expected constructor, destructor, or type conversion before «typedef»
make: *** [main.o] Erreur 1

Si tu t'es senti agressé par mon post, c'est que tu aurais du lire ça et surtout les règles du forum.

Hors ligne

#8 Le 10/09/2008, à 20:27

bishop

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Fivizzz !
Tu es sous Ubutu Hardy ?


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#9 Le 10/09/2008, à 20:29

Fivizzz

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Oui, ubuntu hardy, dépendances installées toussa (du moins celles qui sont indiquées)...


Si tu t'es senti agressé par mon post, c'est que tu aurais du lire ça et surtout les règles du forum.

Hors ligne

#10 Le 10/09/2008, à 22:07

bishop

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Fivizzz ! Je cherche...
Sur http://labs.trolltech.com/page/Projects/Styles/GtkStyle il demande que le paquet gtk2-x11-dev soit installé.

You will need gtk2-x11-dev packages in addition to Qt 4.4. Provided you have already installed Qt 4.4 and GTK2 correctly, all you should have to do is this:

.
Ce paquet n'existe pas (sous cette forme) sous Hardy. Une recherche gtk2-x11-dev dans Synaptic me renvoie à libgtkglextmm-x11-dev, paquet installé sur ma distrib.

Installe le paquet libgtkglextmm-x11-dev :

sudo apt-get install  libgtkglextmm-x11-dev

Recompile et dis moi quoi... si ça ne t'ennuie pas. tongue

Dernière modification par bishop (Le 10/09/2008, à 22:23)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#11 Le 10/09/2008, à 22:22

bishop

Re : Hardy Gnome - Applications QT4-GTK2, même look.

benoit2600 écrit :
j'ai un problème :

qmake
qgtkstyle.pro:10: Unknown replace function: qtLibraryTarget

.
Vois le post #6 : http://forum.ubuntu-fr.org/viewtopic.ph … 1#p2056771
Recompile et dis moi quoi.

Dernière modification par bishop (Le 10/09/2008, à 22:24)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#12 Le 10/09/2008, à 23:05

Fivizzz

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Le problème persiste...
C'est bizarre quand même...

J'ai essayé de redémarrer, de désinstaller et de réinstaller toutes les dépendances... Et ben non tongue

Dernière modification par Fivizzz (Le 10/09/2008, à 23:06)


Si tu t'es senti agressé par mon post, c'est que tu aurais du lire ça et surtout les règles du forum.

Hors ligne

#13 Le 11/09/2008, à 00:48

bishop

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Fivizzz ! benoit2600 !
J'ai trouvé ce lien http://rpm.pbone.net/index.php3/stat/4/ … 6.rpm.html.
C'est pour Suze mais ça donne une idée des dépendances. J'ai donc fait une recherche de ces dépendances dans la "Database Ubuntu packages" ce qui donne...

En plus des paquets requis dans le premier post regarde si ces paquets sont installés ou installe-les (ces paquets étaient déja installés sur ma distrib) :

sudo apt-get install libc6-dev gcc-3.3 libstdc++6-4.2-dev libxi-dev libxinerama-dev libice-dev libxrandr-dev libgcc1 zlib1g-dev libxcursor-dev libxfixes-dev libsm-dev libxrender-dev libxext-dev libx11-dev libfontconfig1-dev

Recompile et dis moi quoi, STP. roll

Note : les dépendances ont été ajoutées au premier post.

Dernière modification par bishop (Le 11/09/2008, à 01:14)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#14 Le 11/09/2008, à 01:38

Fivizzz

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Arf, tout y est déjà:

0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Vilain PC de moi big_smile

Dernière modification par Fivizzz (Le 11/09/2008, à 01:38)


Si tu t'es senti agressé par mon post, c'est que tu aurais du lire ça et surtout les règles du forum.

Hors ligne

#15 Le 11/09/2008, à 09:30

bishop

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Fivizzz ! benoit2600 !
Le problème vient peut être de la version de QT4 que vous utilisez. La version des dépôts conventionnels ubuntu est 4.3.4 et QgtkStyle nécessite la version 4.4.
Cette version (4.4) est installée sur ma distrib car les backports ubuntu sont activés.

1) Vous pouvez installer cette version de QT4 (sans faire la MAJ de la distrib) en décommentant les backports dans le sources.list :

## BACKPORTS
deb http://archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse
## deb-src http://archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse

.
2) Lancer Synaptic => Recharger
Ne pas "Tout mettre à jour"
.
3) Faire une recherche qt4.
.
4) Sélectionner les paquets et lib(s) qt4 pour les mettre à jour.
.
5) Appliquer.
.
6) Quand c'est fini, recommenter les backports dans le sources.list.

Dernière modification par bishop (Le 11/09/2008, à 09:37)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#16 Le 11/09/2008, à 12:53

golgot200

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Bonjour à tous,

J'ai suivi ton post 1 à la lettre et tout fonctionne bien. Pas de problème de compile. Merci beaucoup.

PS : Donne moi quelques programmes en QT que je teste pour voir...

++

Dernière modification par golgot200 (Le 11/09/2008, à 12:55)


"L’ultime question … L’intelligence a besoin de la Bêtise pour s’affirmer, La Beauté a besoin de la Laideur pour resplendir, Le Courage naît dans la Peur, Les Forts impressionnent au milieu des Faibles, Mais au final,…Qui a donc besoin d’autant de connards ?"

Hors ligne

#17 Le 11/09/2008, à 15:49

bishop

Re : Hardy Gnome - Applications QT4-GTK2, même look.

golgot200 écrit :
PS : Donne moi quelques programmes en QT que je teste pour voir...

.
Au pif...
Hormis les classiques "Qt Assistant, Linguist, D-Bus Viewer and Pixel Tool applications" installés avec le paquet qt4-dev-tools, "Qt 4 Designer" installé avec le paquet qt4-designer, quelques applications que je trouve sympa.

P7Zip, l'outil en ligne en ligne de commande.
Installer les paquets p7zip-full et p7zip-rar présents dans les dépôts.
Q7Z, le GUI en QT4 pour P7Zip : q7z_0.7.1-1_i386.deb à installer avec GDebi. Le raccourci Q7Z se trouve dans applications/Accessoires.
Pour info.  PeaZip, un GUI en GTK2 pour P7Zip proposant beaucoup plus d'options (+ un plugin Unace en téléchargement), le tout en .deb à installer avec GDebi. Le raccourci PeaZip se trouve dans Applications/Outils système.

Scythia, un p'tit client FTP bien sympa. scythia_0.9.3-2_i386.deb à installer avec GDebi.

Qomics, un gestionnaires de BD. qomics_0.5-rc1_all.deb à installer comme indiqué. Le raccourci Qomics se trouve dans Applications/Accessoires.

Autres, souvent à compiler, sur Qt-Apps.org, KDE-APPS.org...

Dernière modification par bishop (Le 11/09/2008, à 15:51)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#18 Le 11/09/2008, à 15:56

Fivizzz

Re : Hardy Gnome - Applications QT4-GTK2, même look.

J'ai vérifié vite fait dans Synaptic:
captur11.png
Et là j'ai eu comme un espoir de fou big_smile

Donc décommentage, mise-à-jourage des bons paquetages (Puis re-commentage au passage parce que faut pas déconnage... big_smile), et recompilage.

Fonctionnage !

Donc la compilation se passe bien, GTK apparait dans la liste.

Pour l'instant Amarok (à mon souvenir la seule application en Qt que j'utilise) ne semble pas accepter les changements sad
Mais en même temps la dernière fois que j'ai édité mes préférences Qt, il avait fallu un redémarrage pour qu'elles s'appliquent sous Amarok.
Je te tiens au courant wink

EDIT: Snif

Les paramètres s'appliquent bien pour la fenêtre des paramètres Qt, mais pas pour Amarok, l'application rebelle...
Suis 'achement triste là, je vais chercher un topic là dessus et poster si il faut... En tout cas merci pour l'astuce et bravo pour le diagnostic big_smile

Tu peux ajouter la dépendance de Qt4.4 dans le premier post big_smile

EDIT2: J'ai trouvé pour Amarok
Suffit d'installer kcontrol, qui gère les paramètres d'Amarok.
En revanche, GTK n'apparait pas dans la liste des thèmes Qt dispos de kcontrol. Mais c'est pas grave. Au moins, maintenant je peux tout paramétrer. Merci wink

Dernière modification par Fivizzz (Le 11/09/2008, à 17:04)


Si tu t'es senti agressé par mon post, c'est que tu aurais du lire ça et surtout les règles du forum.

Hors ligne

#19 Le 11/09/2008, à 17:04

benoit2600

Re : Hardy Gnome - Applications QT4-GTK2, même look.

euh, le amarok "classique" n'utilise pas qt4 hmm il faut utiliser amarok 2
http://amarok.kde.org/

Hors ligne

#20 Le 11/09/2008, à 18:40

bishop

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Grillé par benoit2600. lol

Fivizzz !
Merci pour les retours.

Si tu utilises la version Amarok 1.4.x, il me semble que les librairies utilisées sont QT3.
Par contre Amarok 2 devrait utiliser les lib QT4. Va falloir que j'essaie cela sous Gnome... pour voir.

Pour personnaliser les applications en QT3
(je ne sais pas pour Amarok,... faut peut être essayer), il faut : installer qt3-qtconfig, gtk2-engines-qtcurve et gtk2-engines-qtpixmap et un outil, gcolor2, pour obtenir les codes couleur RGB.

sudo apt-get install qt3-qtconfig gtk2-engines-qtcurve gtk2-engines-qtpixmap gcolor2

.
Quand c'est fait tu lances Qt3 Configuration dans Système/Préférences ou en ligne de commande :

qt3-qtconfig

tu lances Gcolor2, le raccourci est dans Applications/Graphisme,
et tu lances une application qui te servira de référence pour les couleurs.

La fenêtre de QT3 Configuration te donne une idée de l'aspect d'une application en QT3 avant modifs.

QT3_mini01.jpg

Tu vas dans Tune Palette pour faire les modifs de couleur. Tu te sers de la pipette de Gcolor2 pour pomper les couleurs et tu obtiens le RGB. Après chaque modif, tu as le Preview mais tu peux aller dans File et tu Save pour voir la modif de la fenêtre QT3 Configuration.
Tu peux aussi choisir, dans Select GUI Style, un style qui sera proche de ce que tu recherche.

Après modifs (vite fait), c'est approximatif, mais mieux que l'original (pas le Preview, la fenêtre).

QT3_mini02.jpg

Dernière modification par bishop (Le 11/09/2008, à 18:48)


Mon blog L'effet Papy Ion - | - Éditeur BBCode - | - Ma Bécane
Ma Bécane alimentée par Trusty 14.04 + additif VirtualBox (Elementary OS Luna)  | Portable LDLC Aurore : Trusty 14.04

Hors ligne

#21 Le 11/09/2008, à 19:53

Fivizzz

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Oui, c'est exactement ce que fait kcontrol, mais en moins poussé tongue

Je garde mon pti kcontrol, il est super complet wink


Si tu t'es senti agressé par mon post, c'est que tu aurais du lire ça et surtout les règles du forum.

Hors ligne

#22 Le 15/09/2008, à 16:52

Compte0

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Comme je n'avais pas accès au svn (pb de port ouvert visiblement..) j'ai trouvé un petit ppa qui contient QGtkStyle (et que qgtkstyle).

https://launchpad.net/~martin-espinoza/+archive

deb http://ppa.launchpad.net/martin-espinoza/ubuntu hardy main
deb-src http://ppa.launchpad.net/martin-espinoza/ubuntu hardy main

lien source


Q-DOS ( Quick & Dirty Operating System) + MS (MicroSoft) = MS-DOS (MicroSoft Dirty Operating System)

Hors ligne

#23 Le 15/09/2008, à 19:23

3po

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Merci c'est pas mal smile mais par contre ça marche moyen avec certains thèmes.

Hors ligne

#24 Le 16/09/2008, à 09:13

Compte0

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Ouais, pour mois c'est plus un problème d'icone...


Q-DOS ( Quick & Dirty Operating System) + MS (MicroSoft) = MS-DOS (MicroSoft Dirty Operating System)

Hors ligne

#25 Le 18/11/2008, à 14:21

TenebraeFiddler

Re : Hardy Gnome - Applications QT4-GTK2, même look.

Bonjour

J'ai essayé QGtkstyle avec VLC sous Gnome et ça fonctionne super bien. Par contre, j'ai Amarok 2 beta 3 (KDE4 donc QT4) d'installé et il ne prend pas en compte le thème QGtkstyle. Je me suis dit que c'était peut-être dû au fait qu'il s'agit d'un programme KDE. Il ne prenait en compte que les thèmes KDE et non les thèmes QT.

Y'a-t-il un équivalent de KControl (KDE3) pour KDE4 où on pourrait dire au système quel thème utiliser pour les applications KDE4 ?

Merci

Hors ligne

Haut de page ↑